# ReplyData class

A reply to a message.

Implemented types
  - StanzaHandlerExtension

## Constructors

ReplyData (String id, {String? body, JID? jid, int? start, int? end})
  const
ReplyData.fromQuoteData (String id, QuoteData quote, {JID? jid})

## Properties

body → String?
  The body of the message.
  final
end → int?
  The end of the fallback body (exclusive)
  final
hashCode → int
  The hash code for this object.
  no setterinherited
id → String
  The id of the message that is replied to. What id to use depends on what kind of message you want to reply to.
  final
jid → JID?
  The JID of the entity whose message we are replying to.
  final
runtimeType → Type
  A representation of the runtime type of the object.
  no setterinherited
start → int?
  The start of the fallback body (inclusive)
  final
withoutFallback → String?
  Applies the metadata to the received body body in order to remove the fallback. If either ReplyData.start or ReplyData.end are null, then body is returned as is.
  no setter

## Methods

noSuchMethod (Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
toString () → String
  A string representation of this object.
  inherited

## Operators

operator == (Object other) → bool
  The equality operator.
  inherited